FixedCenter Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Attributes | List of all members
FixedCenter Class Reference
Inheritance diagram for FixedCenter:
[legend]
Collaboration diagram for FixedCenter:
[legend]

## Public Member Functions
| FixedCenter (qsearch_t **q, eval_t &e, int d, int c)
int | center (int) const
const std::string | name () const
Public Member Functions inherited from FixedRange
| FixedRange (qsearch_t **q, eval_t &e, int d)
int | halfRange (int pawn_value) const
const std::pair< int, int > | alphaBeta (Player turn, int pawn_value, int real_value) const
Public Member Functions inherited from NormalSearcher
| NormalSearcher (qsearch_t **q, eval_t &e)
int | search (Player turn, int pawn_value, int real_value, Move last_move)
Public Member Functions inherited from Searcher
| Searcher (qsearch_t **q, eval_t &e)
virtual | ~Searcher ()
void | report () const

## Protected Attributes
const int | center_value
Protected Attributes inherited from FixedRange
int | divider

## Additional Inherited Members
Protected Member Functions inherited from Searcher
const std::pair< int, int > | count (Player turn, int alpha, int beta, Move last_move)

## Detailed Description

Definition at line 226 of file range-vs-nodes.cc.

## Constructor & Destructor Documentation

FixedCenter::FixedCenter | ( | qsearch_t ** | q,
|  | eval_t & | e,
|  | int | d,
|  | int | c
| ) |  |
| inline

Definition at line 231 of file range-vs-nodes.cc.

## Member Function Documentation

int FixedCenter::center | ( | int | ) |  | const
| inlinevirtual

Implements FixedRange.

Definition at line 235 of file range-vs-nodes.cc.

const std::string FixedCenter::name | ( | ) |  | const
| inlinevirtual

Implements Searcher.

Reimplemented in ExtendToOther, ExtendToCenterModest, and ExtendToCenter.

Definition at line 239 of file range-vs-nodes.cc.

References tos().

## Member Data Documentation

const int FixedCenter::center_value
| protected

Definition at line 229 of file range-vs-nodes.cc.

The documentation for this class was generated from the following file:

- range-vs-nodes.cc